%define version	1.3.6
%define release	1mdk

%define pkgname bonobouimm
%define api_version 1.3
%define lib_major 7
%define libname %mklibname %pkgname %api_version

# (Abel) 1.3.6-1mdk don't install sample progs by default.
%define no_sample 1

Summary: 	A C++ interface of GNOME 2 bonoboui library
Name: 		libbonobouimm1.3
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		System/Libraries
URL: 		http://gtkmm.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

# tar.gz downloadable at ftp://download.sourceforge.net/gtkmm/
Source: 	lib%{pkgname}-%{version}.tar.bz2
Patch0:		lib%{pkgname}-libtool-1.5.patch.bz2

BuildRequires:	libgtkmm2.0-devel
BuildRequires:	libbonobomm1.3-devel
BuildRequires:	libbonoboui2-devel

%description
The %{pkgname} library is a C++ interface of libbonoboui library.
It is a subpackage of the gnomemm project.


%package -n %{libname}_%{lib_major}
Summary: 	A C++ interface of GNOME 2 bonoboui library
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}
Provides:	lib%{pkgname} = %{version}-%{release}

%description -n %{libname}_%{lib_major}
The %{pkgname} library is a C++ interface of libbonoboui library.
It is a subpackage of the gnomemm project.


%package -n %{libname}_%{lib_major}-devel
Summary:	Development files for bonoboui library C++ interface
Group: 		Development/GNOME and GTK+
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-devel = %{version}-%{release}
Requires:	%{libname}_%{lib_major} = %{version}

%description -n %{libname}_%{lib_major}-devel
This package contains all necessary files, including libraries and headers,
that are needed to develop/compile applications which use %{pkgname},
the C++ interface to libbonoboui.

%prep
%setup -q -n lib%{pkgname}-%{version}
%patch0 -p0 -b .libtool15

%build
# MDK does not have libtool 1.5 yet
%define __libtoolize /bin/true
%configure2_5x --enable-static
%make

%install
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}
%makeinstall_std

%if %no_sample
rm -f	%{buildroot}%{_libdir}/bonobo-2.0/samples/bonobomm-sample-controls \
	%{buildroot}%{_libdir}/bonobo/servers/Bonobomm_Sample_Controls.server \
	%{buildroot}%{_datadir}/gnome/ui/Bonobo_Sample_Hello.xml
%endif

# remove zero length header
rm -f %{buildroot}%{_includedir}/libbonobouimm-2.0/bonobomm/servers/init.h

%post -n %{libname}_%{lib_major} -p /sbin/ldconfig
%postun -n %{libname}_%{lib_major} -p /sbin/ldconfig

%clean
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}


%files -n %{libname}_%{lib_major}
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*
%if !%no_sample
%{_libdir}/bonobo-2.0/samples/bonobomm-sample-controls
%{_libdir}/bonobo/servers/*.server
%{_datadir}/gnome/ui/*.xml
%endif

%files -n %{libname}_%{lib_major}-devel
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib%{pkgname}-2.0
%{_libdir}/gtkmm-2.0/proc/m4/*.m4

###########################################################################
%changelog
* Wed Sep  3 2003 Abel Cheung <deaddog@deaddog.org> 1.3.6-1mdk
- First Mandrake spec
- Patch0: Fix libtool 1.5 to search for staging libraries first
